(**
 ** $Id: Fourier.sig 90 2005-12-16 17:01:35Z rlpm $
 ** 
 ** A Discrete Fourier Transform library for Standard ML
 ** Author: Rory McGuire <rlpm at cs dot unm dot edu>
 **
 ** This program is free software; you can redistribute it and/or
 ** modify it under the terms of the GNU General Public License as
 ** published by the Free Software Foundation; either version 2 of the
 ** License, or (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 ** General Public License for more details.
 **
 ** You can obtain a copy of the GPL at:
 **   http://www.fsf.org/copyleft/gpl.html.
 **)
signature FOURIER =
sig
    val dft : Complex.complex vector -> Complex.complex vector
    val idft : Complex.complex vector -> Complex.complex vector
    val dft2d : Complex.complex Array2.array -> Complex.complex Array2.array
    val idft2d : Complex.complex Array2.array -> Complex.complex Array2.array
    val fft : Complex.complex vector -> Complex.complex vector
    val ifft : Complex.complex vector -> Complex.complex vector
    val fft2d : Complex.complex Array2.array -> Complex.complex Array2.array
    val ifft2d : Complex.complex Array2.array -> Complex.complex Array2.array
end
